## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <castItem>

`<castItem>` | (Cast list item) contains a single entry within a cast list, describing either a single role or a list of non-speaking roles.

Attributes

(In addition to global attributes)

`type` | characterizes the cast item.
| Datatype: (role | list)

Legal values are:

role | the item describes a single role.
list | the item describes a list of non-speaking roles.

| Default: role

Example

    <castItem>
       <role>Player</role>
       <actor>Mr Milward</actor>
    </castItem>

Example

    <castItem type="list">Constables, Drawer, Turnkey, etc.</castItem>

Module Declared in file teidram2; Base tag set for performance texts: enabled by TEI.drama
Data Description Contains character data with phrase-level elements, `<role>`, `<roleDesc>`, and `<actor>`.
May contain #PCDATA abbr actor add addSpan address alt altGrp anchor app c caesura cb certainty cl corr damage date dateRange dateStruct del delSpan distinct emph expan fLib foreign formula fs fsLib fvLib fw gap geogName gloss handShift hi index interp interpGrp join joinGrp lang lb link linkGrp m measure mentioned milestone name num oRef oVar orgName orig pRef pVar pb persName phr placeName ptr ref reg respons restore role roleDesc rs s seg sic soCalled space span spanGrp supplied term time timeRange timeStruct timeline title unclear w xptr xref
May occur within castGroup castList
Declaration

    <!ELEMENT castItem %om.RO; (#PCDATA | role | roleDesc |
                       actor | %m.phrase; | %m.Incl; )*>
    <!ATTLIST castItem
          %a.global;
          type (role | list) "role">

See further 10.1.4 Cast Lists

Up: 35 Elements